Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class WorkDirChooseTool.ExecModelStub

    java.lang.Object
      com.sun.javatest.exec.WorkDirChooseTool.ExecModelStub

All Implemented Interfaces:
  ExecModel

Enclosing class:
  WorkDirChooseTool

    public static class WorkDirChooseTool.ExecModelStub

extends java.lang.Object
implements ExecModel

The class is used by WorkDirChooseTool to interact with those, who use WorkDirChooseTool to open or create work dir. The class does nothing but remembers the methods were invoked. An instance should be passed to the WorkDirChooseTool via setExecMode() method before activating. When dialog has disappeared, the instance will be filled with chosen work dir.

Constructor Summary
`WorkDirChooseTool.ExecModelStub(TestSuite ts, ContextManager cm)`

Method Summary
`void` | `configure()` Causes a series of actions to be performed to complete configuration.
`TestResultTable` | `getActiveTestResultTable()` Get the test result table currently in use for display.
`ContextManager` | `getContextManager()`
`ExecToolManager` | `getExecToolManager()`
`FilterConfig` | `getFilterConfig()`
`InterviewParameters` | `getInterviewParameters()`
`TestSuite` | `getTestSuite()`
`WorkDirectory` | `getWorkDirectory()`
`boolean` | `isConfiguring()` Returns true if the model is in the configuration stage, user is either selecting work directory or editing configuration.
`boolean` | `isShowConfigEditor()`
`void` | `print(java.awt.print.Printable p)`
`void` | `printSetup()`
`void` | `runTests(java.lang.String[] urls)` Run specified tests.
`void` | `setWorkDir(WorkDirectory wd, boolean addToFileHistory)`
`void` | `showConfigEditor(boolean runTestsWhenDone)` Show the configuration editor for this tool, and optionally run the tests defined by the configuration when the editor is closed.
`void` | `showMessage(java.util.ResourceBundle msgs, java.lang.String key)`
`void` | `showTemplateEditor()` Show the configuration editor for this tool with current template
`void` | `showWorkDirDialog(boolean allowTemplates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkDirChooseTool.ExecModelStub

    public WorkDirChooseTool.ExecModelStub(TestSuite ts,
                                           ContextManager cm)

Method Detail

### getTestSuite

    public TestSuite getTestSuite()

  Specified by:
    `getTestSuite` in interface `ExecModel`

### getWorkDirectory

    public WorkDirectory getWorkDirectory()

  Specified by:
    `getWorkDirectory` in interface `ExecModel`

### getInterviewParameters

    public InterviewParameters getInterviewParameters()

  Specified by:
    `getInterviewParameters` in interface `ExecModel`

### getFilterConfig

    public FilterConfig getFilterConfig()

  Specified by:
    `getFilterConfig` in interface `ExecModel`

### getContextManager

    public ContextManager getContextManager()

  Specified by:
    `getContextManager` in interface `ExecModel`

### getActiveTestResultTable

    public TestResultTable getActiveTestResultTable()

  Description copied from interface: `ExecModel`
  Get the test result table currently in use for display. This value provides a temporary answer if the work directory does not exist yet. If a work directory is available, the query is forwarded to that object.

  Specified by:
    `getActiveTestResultTable` in interface `ExecModel`
  Returns:
    the test result table currently in use for display.

### showWorkDirDialog

    public void showWorkDirDialog(boolean allowTemplates)

  Specified by:
    `showWorkDirDialog` in interface `ExecModel`

### configure

    public void configure()

  Description copied from interface: `ExecModel`
  Causes a series of actions to be performed to complete configuration.

  Specified by:
    `configure` in interface `ExecModel`

### isConfiguring

    public boolean isConfiguring()

  Description copied from interface: `ExecModel`
  Returns true if the model is in the configuration stage, user is either selecting work directory or editing configuration. One can relay on this method to disable/enable some actions.

  Specified by:
    `isConfiguring` in interface `ExecModel`

### showConfigEditor

    public void showConfigEditor(boolean runTestsWhenDone)

  Description copied from interface: `ExecModel`
  Show the configuration editor for this tool, and optionally run the tests defined by the configuration when the editor is closed.

  Specified by:
    `showConfigEditor` in interface `ExecModel`
  Parameters:
    `runTestsWhenDone` - true if the tests should automatically be run when the user closes the configuration editor, and false otherwise.

### isShowConfigEditor

    public boolean isShowConfigEditor()

### showTemplateEditor

    public void showTemplateEditor()

  Description copied from interface: `ExecModel`
  Show the configuration editor for this tool with current template

  Specified by:
    `showTemplateEditor` in interface `ExecModel`

### runTests

    public void runTests(java.lang.String[] urls)

  Description copied from interface: `ExecModel`
  Run specified tests.

  Specified by:
    `runTests` in interface `ExecModel`
  Parameters:
    `urls` - These names may either be paths to folders or test names. Empty string value in the array indicates that the whole test suite should be run.

### showMessage

    public void showMessage(java.util.ResourceBundle msgs,
                            java.lang.String key)

  Specified by:
    `showMessage` in interface `ExecModel`

### printSetup

    public void printSetup()

  Specified by:
    `printSetup` in interface `ExecModel`

### print

    public void print(java.awt.print.Printable p)

  Specified by:
    `print` in interface `ExecModel`

### setWorkDir

    public void setWorkDir(WorkDirectory wd,
                           boolean addToFileHistory)
                    throws Interview.Fault,
                           TestSuite.Fault

  Specified by:
    `setWorkDir` in interface `ExecModel`
  Throws:
    `Interview.Fault`
    `TestSuite.Fault`

### getExecToolManager

    public ExecToolManager getExecToolManager()

  Specified by:
    `getExecToolManager` in interface `ExecModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.